## samba-2.2.10.tar.bz2

=== pcp/Makefile ===
#!make
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
#
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
#
# http://www.sgi.com
#
# For further information regarding this notice, see:
#
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

SHELL   = sh

include /etc/pcp.conf

IAM	= samba
CFILES	= $(IAM).c

LIBTARGET = pmda_$(IAM).so
CMDTARGET = pmda$(IAM)
TARGETS = $(LIBTARGET) $(CMDTARGET)

DEBUG   = -DDEBUG
CFLAGS	= $(DEBUG)
LDOPTS	=
LDLIBS	= -lpcp_pmda -lpcp
DSOOPTS	= -shared
LDIRT	= metrics.h so_locations *.log help.dir help.pag *.pmda_$(IAM).so

INSTALL	= install
CC	= cc

default: $(TARGETS)

install:	default

$(CMDTARGET):	profile.h metrics.h $(CFILES)
	$(CC) $(CFLAGS) $(CFILES) $(LDOPTS) $(LDLIBS) -o $@

$(LIBTARGET):	profile.h metrics.h $(CFILES)
	$(CC) $(CFLAGS) $(DSOOPTS) $(LDOPTS) $(CFILES) $(LDLIBS) -o $@

metrics.h:	profile.h mkheader.pl
	./mkheader.pl

clobber clean:
	rm -f $(LDIRT) $(TARGETS)

=== source/web/po/Makefile ===
GETTEXT = xgettext --keyword --keyword=_ --keyword=__

# Enter here all .po files
POFILES = ja.po
MOFILES = $(POFILES:.po=.mo)

SOURCES = ../cgi.c ../diagnose.c ../startstop.c ../statuspage.c ../swat.c

catalog: $(SOURCES)
	pofiles='$(POFILES)'; \
	for pof in $$pofiles; do \
		$(GETTEXT) $(SOURCES) ; \
		if [ -f $$pof ]; then \
			msgmerge $$pof messages.po > $$pof.new; \
		else \
			mv messages.po $$pof; \
		fi ; \
		rm -f messages.po ; \
	done

install: text
	mofiles='$(MOFILES)'; \
	for mof in $$mofiles; do \
		lang=`echo $$mof | sed 's/.mo$$//'`; \
		mkdir -p $(PREFIX)/usr/share/locale/$$lang/LC_MESSAGES; \
		cp -a $$mof  $(PREFIX)/usr/share/locale/$$lang/LC_MESSAGES/swat.mo; \
	done

text: $(POFILES)
	pofiles='$(POFILES)'; \
	for pof in $$pofiles; do \
		msgfmt  $$pof ; \
		lang=`echo $$pof | sed 's/.po$$//'`; \
		mv messages  $$lang.mo; \
	done

clean:
	rm -f $(MOFILES)
	rm -f *.new
	rm -f *~

=== packaging/Debian/debian/changelog ===
samba (2.2.6-0.1) unstable; urgency=low

  * Local build.

 -- Debian User <user@somewhere.in.the.planet>  Sun, 13 Oct 2002 02:33:32 -0400

samba (2.2.5-1.woody) stable; urgency=low

  * Upload latest stable Samba release to woody.
    - includes improved NT printing support (closes: #157406)
  * Fix the filename-matching algorithm used for smbtar's 'exclude'
    functionality. (closes: #131571)
  * Remove patches/srv_spoolss_nt.patch, now included upstream.

 -- Steve Langasek <vorlon@debian.org>  Fri, 23 Aug 2002 17:20:08 -0500

samba (2.2.3a-8) stable; urgency=low

  * maintainer script fixes backported from sid.
  * reorder postinst, so that installing samba-common from scratch loads
    the debconf answers properly (closes: #151985).
  * Look for secrets.tdb in /var/lib/samba, and handle in the postinst.
    This is not really a config file, because users don't edit it.
    (closes: #147429)
  * samba.postinst: added logic so we don't call /etc/init.d/samba if
    we are running from inetd (this prevents the stupid help message
    to be printed during package upgrades if we are running from inetd.)
  * Fixed bug in the FHS migration path that causes nmbd to read its
    state from one location, but write it out to another. (closes: #154210)

 -- Steve Langasek <vorlon@debian.org>  Sat, 13 Jul 2002 10:18:56 -0500

samba (2.2.3a-7) unstable; urgency=medium

  * More README.debian updates.
  * Neutralize the smb.conf 'lock dir' directive, which doesn't mean
    what the FHS says it should, and causes us no end of grief.
    (Closes: #122299)
  * LPRng-handling patch so that jobs printed to recent versions of
    LPRng show up properly as 'done' instead of 'paused' in the Windows
    print queue.  Thanks to Jaroslav Serdula <serdula_jaroslav@vse.sk>
    for this patch. (Closes: #139458)
  * Applied patch from Urban Widmark <urban@teststation.com>
    (smbfs upstream maintainer) to add a '-n' option to smbmount
    that does the same as mount's '-n'. (Closes: #139590)
  * Minor tweak to unpatch-source so we unpatch sources in the
    reverse order we patched them.
  * Don't depend on grep in samba.prerm to determine if Samba was
    running before the upgrade starts.
  * Tweak the wording of debconf templates.
  * Incorporate debconf translations for French, Spanish and Portuguese;
    thanks to Carlos Valdivia Yage <valyag@hotpop.com> (es),
    Andre Luis Lopes <andrelop@ig.com.br> (pt_BR), and Philippe
    Batailler and Denis Barbier <barbier@debian.org> (fr).
    (closes: #142657, #142659, #141551, #141699, #141682)
  * Fixed symlinks in the swat package so the point to /usr/share/doc/
    instead of /usr/doc/. Added note to the description of the
    swat packages that says that samba-doc must be installed for
    the on-line documentation to work. Thanks to Torne Wuff
    <torne@wolfpuppy.org.uk>. (Closes: #95437)
  * 'dh_installinit -n' gives us no initscript handling -- we need to
    handle all starting and stopping of daemons ourselves, which wasn't
    happening in the {pre,post}rm scripts.
  * Vary the priority of the debconf question "Do you want to generate
    /etc/samba/smbpassd?" depending on whether the file already exists.
    File exists -> priority 'medium', file does not exist -> priority
    'low'. Changed priorities of all other questions from 'high' to 'medium'.

 -- Steve Langasek <vorlon@debian.org>  Sat, 20 Apr 2002 17:48:27 -0400

samba (2.2.3a-6) unstable; urgency=low

  * Call db_stop as soon as we're done with debconf in the postinst, to
    avoid hanging bugs (closes: #137813)
  * Ony call 'update-inetd --add' on first installation, just as we only
    call 'update-inetd --remove' on package purge.
  * Bring our shipped smb.conf closer in line with the upstream
    defaults: don't twiddle the send/recv buffer sizes, since the Linux
    kernel already provides a much better default setting
    (closes: #80966, #80934, #137415, #133477)
  * Added libnss_wins.so to the winbind package (closes: #137201)
  * Updates to README.debian.

 -- Eloy A. Paris <peloy@debian.org>  Tue, 12 Mar 2002 10:57:40 -0500

samba (2.2.3a-5) unstable; urgency=low

  * Having multiple workgroup lines in your smb.conf, though wacky, is 
    perfectly valid.  Account for this in samba-common.config.
    (closes: #137157)

 -- Steve Langasek <vorlon@debian.org>  Sun, 10 Mar 2002 21:52:51 -0600

samba (2.2.3a-4) unstable; urgency=low

  * Fixed typo in samba.postinst. Cosmetic fixes there as well.
  * Fix to improper usage of /usr/bin/tr in samba-common config script
    (closes: #137744)

 -- Steve Langasek <vorlon@debian.org>  Sat,  9 Mar 2002 14:14:02 -0500

samba (2.2.3a-3) unstable; urgency=medium

  * Make sure /etc/init.d/samba is executable before calling it
    in the postinst. Quickly checked all other maintainer scripts
    to make sure we are not calling an init script if it is not
    executable. (closes: #137321)
  * Fix up maintainer scripts to detect if samba was not running before 
    an upgrade. (closes: #33520, #130534)
  * Make sure /etc/samba/ is included in the samba-common package.
    Closes: #137157

 -- Steve Langasek <vorlon@debian.org>  Fri,  8 Mar 2002 11:13:21 -0500

samba (2.2.3a-2) unstable; urgency=low

  * merge in debconf support:
    - Moved all smb.conf-related questions to samba-common (smb.conf
      is part of the samba-common package, not the samba package.)
    - smb.conf is not a samba-common conffile anymore since it is
      being managed by debconf. It is ABSOLUTELY necessary to make
      sure /etc/samba/smb.conf _NEVER_ gets overwritten by changes
      made via debconf. In other words, any changes made by the user
      should be honored by the debconf interface.
    - samba.postinst now moves old log files from /var/log/ to
      /var/log/samba/. There's a Debconf note that informs the user
      the log files are stored now in a new location.
    - debian/control:
      + Make samba depend on debconf.


=== packaging/Debian/debian/control ===
Source: samba
Section: net
Priority: optional
Maintainer: Eloy A. Paris <peloy@debian.org>
Uploaders: Steve Langasek <vorlon@debian.org>
Build-Depends: debhelper (>=2.0.103), libpam0g-dev, libreadline4-dev, libcupsys2-dev, autoconf
Standards-Version: 3.1.1

Package: samba
Architecture: any
Depends: debconf, samba-common (= ${Source-Version}), netbase, logrotate, ${shlibs:Depends}
Replaces: samba-common (<= 2.0.5a-2)
Suggests: samba-doc
Description: A LanManager like file and printer server for Unix.
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files and printers to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 This package contains all the components necessary to turn your
 Debian GNU/Linux box into a powerful file and printer server.
 .
 Currently, the Samba Debian packages consist of the following:
 .
  samba - A LanManager like file and printer server for Unix.
  samba-common - Samba common files used by both the server and the client.
  smbclient - A LanManager like simple client for Unix.
  swat - Samba Web Administration Tool
  samba-doc - Samba documentation.
  smbfs - Mount and umount commands for the smbfs (kernels 2.0.x and above).
  libpam-smbpass - pluggable authentication module for SMB password database
  libsmbclient - Shared library that allows applications to talk to SMB servers
  libsmbclient-dev - libsmbclient shared libraries
  winbind: Service to resolve user and group information from Windows NT servers
 .
 It is possible to install a subset of these packages depending on
 your particular needs. For example, to access other SMB servers you
 should only need the smbclient and samba-common packages.

Package: samba-common
Architecture: any
Depends: debconf, libpam-modules, ${shlibs:Depends}
Replaces: samba (<= 2.0.5a-2)
Description: Samba common files used by both the server and the client.
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files and printers to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 This package contains the common files that are used by both the server
 (provided in the samba package) and the client (provided in the smbclient
 package).

Package: smbclient
Architecture: any
Depends: samba-common (= ${Source-Version}), ${shlibs:Depends}
Replaces: samba (<= 2.2.2-5)
Provides: samba-client
Suggests: smbfs
Description: A LanManager like simple client for Unix.
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files and printers to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 This package contains some client components of the Samba suite. In
 particular it includes the command line utilities smbclient, smbtar,
 and smbspool. If you want to mount shares exported from Microsoft
 Windows machines or a Samba server you must install the smbfs package.

Package: swat
Architecture: any
Depends: samba (= ${Source-Version}), ${shlibs:Depends}
Recommends: samba-doc
Description: Samba Web Administration Tool
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files and printers to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 This package contains the components of the Samba suite that are needed
 for Web administration of the Samba server.
 .
 Note: if you want to use the on-line documentation that is accesible
 through the Swat front-end you must install the samba-doc package.

Package: samba-doc
Section: doc
Architecture: all
Description: Samba documentation.
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files and printers to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 This package contains all the documentation that comes in the original
 tarball.

Package: smbfs
Section: otherosfs
Priority: optional
Architecture: any
Depends: netbase (>= 2.02), samba-common (= ${Source-Version}), ${shlibs:Depends}
Suggests: smbclient
Replaces: smbfsx
Conflicts: smbfsx, suidmanager (<< 0.50)
Description: mount and umount commands for the smbfs (for kernels >= than 2.2.x)
 Smbfs is a filesystem which understands the SMB protocol.
 This is the protocol Windows for Workgroups, Windows NT or
 LAN Manager use to talk to each other. It was inspired by
 samba, the program by Andrew Tridgell that turns any unix
 site into a file server for DOS or Windows clients.
 .
 If you want to use command-line utilities like smbclient, smbtar
 and/or smbspool just need to install the smbclient package.
 .
 Starting with the Debian Samba packages version 2.2.0-1, the old smbfs
 utilities for 2.0.x have been removed. There are no wrapper scripts
 that call a specific smbmount/smbumount depending on the kernel
 version.  If you are using a 2.0.x kernel please upgrade or use the
 latest Samba 2.0.7 Debian package.

Package: libpam-smbpass
Section: admin
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}
Suggests: samba
Description: pluggable authentication module for SMB password database
 This is a stackable PAM module that allows a system administrator to easily
 migrate to using encrypted passwords for Samba and to keep smb passwords in
 sync with unix passwords.  Unlike other solutions, it does this without
 requiring users to change their existing passwords or login to Samba using
 cleartext passwords.

Package: libsmbclient
Section: libs
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}
Description: Shared library that allows applications to talk to SMB servers
 libsmbclient allows to write applications that use the SMB protocol.
 This gives applications the ability to talk to Microsoft Windows servers
 and Unix servers running Samba.
 .
 This package contains the libsmbclient shared library.

Package: libsmbclient-dev
Section: devel
Priority: extra
Architecture: any
Depends: libsmbclient (= ${Source-Version})
Description: libsmbclient static libraries and headers
 libsmbclient allows to write applications that use the SMB protocol.
 This gives applications the ability to talk to Microsoft Windows servers
 and Unix servers running Samba.
 .
 This package contains the libsmbclient static libraries and headers
 needed to build applications that use SMB services.

Package: winbind
Section: net
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}
Replaces: samba (<= 2.2.3-2)
Description: Service to resolve user and group information from Windows NT servers
 This package provides the winbindd daemon, which provides a
 service for the Name Service Switch capability that is present
 in most modern C libraries (like the GNU C Library - glibc.)
 .
 The service provided by winbindd is called `winbind' and
 can be used to resolve user and group information from a
 Windows NT server. The service can also provide authentication
 services via an associated PAM module.
